# Projektbeschreibung 

WarpInfra ist eine zentrale Applikationsplattform für die Verwaltung von Benutzer konten und zur Bereitstellung weiterer Dienste.
WarpInfra ist modular aufgebaut um einfach weitere Anwendungen aufnehmen zu können.

  * Die Produktive Anwendung ist jeweils unter https://infra.warpzone.ms erreichbar 
  * Das Staging System ist unter https://infra-test.warpzone.ms erreichbar. 
  
## WarpAuth 

Das Modul WarpAuth übernimmt die Verwaltung von Benutzerkonnten und unterstützt bei der Vereindung sowie Einrichtung der 2-Factor Authentifizierung.
Die Benutzerkonten werden in einem LDAP Verzeichnis gespeichert und können von weiteren Applikationen verwendet werden.

Aktuell sind der GitLab und der Mattermost Server angebunden.

Dieses Modul ist Stabil und kann produktiv verwendet werden 

## WarpFood 

WarpFood implementiert eine Abwendung zur erstellung von Pizza- bzw. Essensbestellungen.
Neue Bestellungen werden als Info in den Mattermost Channel Town-Squre publiziert.

Dieses Modul ist Stabil und kann produktiv verwendet werden 


## WarpAPI 

Arbeitsbasis zur Re-Implemmentierung der Hackerspace-API.

Dieses Modul ist noch in Entwicklung und auf der Produktivistanz nicht aktiviert.


## WarpPay 

Prototyp zur Entwicklung eines neuen Kasseen bzw. PrePay System.

Dieses Modul ist noch in Entwicklung und auf keiner der Instanzen nicht aktiviert.

